#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "ENumericalConstraintComparisonMethod.h"
#include "NumericalConstraintsCondition_Double.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class COMPETENCE_API UNumericalConstraintsCondition_Double : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	TMap<ENumericalConstraintComparisonMethod, double> _numericalConstraints;

public:
	UNumericalConstraintsCondition_Double();
};

FORCEINLINE uint32 GetTypeHash(const UNumericalConstraintsCondition_Double) { return 0; }
